# UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response

# UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response


```
class UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response#Response(kotlin.ULong)(value: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-long/index.html)` |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-long/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/UnitTestingTrait.TestEmitTestFabricScopedEventRequestCommand.Response#value()` |

## Public constructors

### Response

```
Response(value: ULong)
```

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### value

```
val value: ULong
```